#!/bin/bash
echo CenturyArks SilkyEvCam HD FW Updater

OS_VERSION_ID=$(cat /etc/os-release | grep VERSION_ID | awk -F\" '{print $2}'>&1)

if [ ! -d bin/$OS_VERSION_ID ]; then
    echo "This OS version(${OS_VERSION_ID}) is not Supported."
    exit 1
fi

export LD_LIBRARY_PATH=lib/$OS_VERSION_ID
chmod +x bin/$OS_VERSION_ID/silkyevcam_imx636_updater
./bin/$OS_VERSION_ID/silkyevcam_imx636_updater --usb-fw image/SilkyEvCam_HD_FW_3.9.0-C.img
